@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600&display=swap");

:root {
  --white: #fff;
  --black: #141e27;
  --bgblack: #1b1a17;
}

* {
  font-family: "Popins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
  text-transform: capitalize;
  transition: all 0.4s ease-out;
  scroll-behavior: smooth;
}

.btn-utama {
  text-decoration: none;
  margin-top: 1rem;

  display: inline-block;

  padding: 7px 15px;

  background: var(--black);

  color: #fff;

  font-size: 15px;

  cursor: pointer;

  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);

  border: 0.1rem solid rgba(0, 0, 0, 0.7);
}

.btn-utama:hover {
  background: var(--bgblack);
  color: var(--white);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}

.btn-next {
  text-decoration: none;
  margin-top: 2rem;
  display: inline-block;
  padding: 13px 17px;
  background: var(--black);
  color: var(--white);
  font-size: 17px;
  font-weight: 600;
  cursor: pointer;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);
  border-radius: 5px;
}

.btn-next:hover {
  background: var(--white);
  color: var(--black);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}

/*=============== HEADER ===============*/
.bg-nav {
  padding: 40px 0 40px 0;
  background-color: var(--black);
}

.navbar .navbar-brand {
  font-size: 25px;
  font-weight: 600;
  color: var(--white);
}

.bg-nav .navbar-nav a.nav-link {
  margin-right: 7px;
  color: var(--white);
}

.bg-nav .navbar-nav .nav-link:hover {
  font-weight: 400;
}

.navbar.scrolled {
  background-color: var(--green);
  transition: background-color 0.5s ease;
  box-shadow: 0px -10px #666;
}
.navbar.scrolled a.nav-link {
  color: #666;
}

nav img {
  width: 50px;
}

.navbar a.active,
.navbar a:hover {
  border-bottom: 0.5px solid var(--white);
}

/* owl carousel */
.carousel-item {
  height: 32rem;
  background-color: #777;
  color: var(--white);
}

.carousel-item .container {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding-bottom: 50px;
  text-align: center;
}

.overlay-image {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background-position: center;
  background-size: cover;
  opacity: 0.8;
}

@keyframes sticky {
  to {
    transform: translateY(0);
    opacity: 1;
  }
  from {
    transform: translateY(-6rem);
    opacity: 0;
  }
}

.banner-container {
  display: grid;

  grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));

  gap: 1rem;

  background-color: var(--bgblack);
}

.banner-container {
  padding: 3rem 9%;
}

.banner-container {
  font-size: 62.5%;

  overflow-x: hidden;

  scroll-behavior: smooth;
}

.banner-container .banner {
  position: relative;

  height: 15rem;

  overflow: hidden;

  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);

  border: 0.1rem solid rgba(0, 0, 0, 0.7);
}
.banner-container .banner img {
  height: 100%;

  width: 100%;

  object-fit: cover;
}

.banner-container .banner .content {
  position: absolute;

  top: 50%;

  left: 2rem;

  transform: translateY(-50%);
}

.banner-container .banner .content span {
  color: #fff;

  font-size: 1.5rem;
}

.banner-container .banner .content h3 {
  font-size: 2rem;

  padding-top: 0.5rem;

  color: #fff;
}

.banner-container .banner .content .btn {
  padding: 0.8rem 2.5rem;
}

.banner-container .banner:hover img {
  transform: scale(1.2);
}

@media (max-width: 991px) {
  .banner-container {
    font-size: 55%;
  }
  .banner-container {
    padding: 3rem 2rem;
  }
}

/* heading */
.heading {
  background-image: url(../img/heading-bg.jpg);

  background-size: cover;

  background-position: center;

  text-align: center;

  padding-top: 8rem;

  padding-bottom: 3rem;

  border-bottom: 5px solid rgba(0, 0, 0, 0.7);
}

.heading h1 {
  color: #fff;
  font-size: 3rem;
  font-weight: 600;
}

/* produk */

#produk {
  background-color: var(--bgblack);
}

.produk {
  width: 100%;
  border-bottom: 2px solid black;
}

.produk h1 {
  font-weight: 600;
}

.product-grid {
  font-family: "Poppins", sans-serif;
  text-align: center;
  border-radius: 15px;
  border: 1px solid #e7e7e7;
  background-color: var(--white);
  overflow: hidden;
  transition: all 0.4s ease-out;
  margin-top: 20px;
}
.product-grid:hover {
  box-shadow: 5px 10px 30px rgba(0, 0, 0, 0.1);
}
.product-grid .product-image {
  position: relative;
}
.product-grid .product-image a.image {
  display: block;
}
.product-grid .product-image img {
  width: 100%;
  height: auto;
}
.product-grid .product-discount-label {
  color: #fff;
  background: var(--black);
  font-size: 14px;
  font-weight: 400;
  text-transform: uppercase;
  padding: 2px 8px;
  border-radius: 5px;
  position: absolute;
  top: 12px;
  left: 12px;
}
.product-grid .product-links {
  width: 145px;
  padding: 0;
  margin: 0;
  list-style: none;
  opacity: 0;
  transform: translateX(-50%) translateY(-50%);
  position: absolute;
  top: 65%;
  left: 50%;
  transition: all 0.4s ease 0s;
}
.product-grid:hover .product-links {
  opacity: 1;
  top: 50%;
}
.product-grid .product-links li {
  display: inline-block;
  margin: 0 2px;
}
.product-grid .product-links li a {
  color: #2c2c2c;
  background: #fff;
  font-size: 16px;
  line-height: 42px;
  width: 40px;
  height: 40px;
  border-radius: 50px;
  display: block;
  position: relative;
  transition: all 0.4s ease-out 0s;
}
.product-grid .product-links li a:hover {
  color: #fff;
  background: var(--black);
  box-shadow: 1px 1px 30px 0 rgba(0, 0, 0, 0.2);
}
.product-grid .product-links li a:before,
.product-grid .product-links li a:after {
  content: attr(data-tip);
  color: #fff;
  background-color: #555;
  font-size: 12px;
  line-height: 18px;
  padding: 5px 10px;
  white-space: nowrap;
  display: none;
  transform: translateX(-50%);
  position: absolute;
  left: 50%;
  top: -40px;
  transition: all 0.3s ease 0s;
}
.product-grid .product-links li a:after {
  content: "";
  height: 10px;
  width: 10px;
  padding: 0;
  transform: translateX(-50%) rotate(45deg);
  top: -18px;
  z-index: -1;
}
.product-grid .product-links li a:hover:before,
.product-grid .product-links li a:hover:after {
  display: block;
}
.product-grid .product-content {
  padding: 12px 12px 15px;
  position: relative;
}
.product-grid .rating {
  padding: 0;
  margin: 0 0 8px;
  list-style: none;
}
.product-grid .rating li {
  color: var(--black);
  font-size: 14px;
}
.product-grid .rating .far {
  color: #808080;
}
.product-grid .title {
  font-size: 18px;
  font-weight: 600;
  text-transform: uppercase;
  margin: 0 0 15px;
}
.product-grid .title a {
  color: #2c2c2c;
  transition: all 0.3s ease 0s;
  text-decoration: none;
}
.product-grid .title a:hover {
  color: var(--black);
}
.product-grid .price {
  color: var(--black);
  font-size: 17px;
  font-weight: 600;
  display: block;
  transition: all 0.4s ease-in-out;
}
.product-grid .price span {
  color: #999;
  font-weight: 500;
  text-decoration: line-through;
}
.product-grid:hover .price {
  opacity: 0;
}
.product-grid .add-to-cart {
  color: #fff;
  background-color: #78a206;
  font-size: 16px;
  font-weight: 500;
  text-transform: uppercase;
  line-height: 40px;
  width: 140px;
  height: 40px;
  border-radius: 50px;
  opacity: 0;
  transform: translateX(-50%);
  position: absolute;
  bottom: 50px;
  left: 50%;
  transition: all 0.4s ease-out;
  text-decoration: none;
}
.product-grid .add-to-cart:hover {
  background-color: var(--black);
}
.product-grid:hover .add-to-cart {
  opacity: 1;
  bottom: 8px;
}
@media screen and (max-width: 1200px) {
  .product-grid {
    margin: 0 0 30px;
  }
}

/* about us */
.about {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.5rem;
  padding: 3rem 9%;
  background-color: var(--white);
}

.about .img {
  flex: 1 1 30rem;
}

.about .img img {
  width: 100%;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);
  border: 0.1rem solid rgba(0, 0, 0, 0.7);
}

.about .content {
  flex: 1 1 30rem;
}

.about .content span {
  color: #1abc9c;
  font-size: 2rem;
  font-weight: 600;
}

.about .content h3 {
  color: #222;
  font-size: 1.5rem;
  padding-top: 0.5rem;
  font-weight: 600;
}

.about .content p {
  color: #222;
  font-size: 1rem;
  line-height: 2;
  padding: 0.5rem 0;
}

/* partner */
#partner {
  background-color: var(--bgblack);
  padding-bottom: 30px;
}
#partner h3 {
  font-weight: 700;
  color: var(--white);
  padding-top: 20px;
}

#partner .break-small {
  width: 80px;
  height: 3px;
  background-color: var(--white);
}

#partner .row-3 {
  background-color: var(--white);
  margin-left: 50px;
  margin-right: 50px;
  border-radius: 1.5rem;
}

#partner .row-3 img {
  max-height: 100px;
  max-width: 270px;
}

#partner .card a {
  color: #000;
  font-weight: 700;
  text-decoration: none;
}

#partner .client-image a {
  display: inline-block;
  word-spacing: 20px;
  margin-right: 20px;
  margin-left: 20px;
}

@media (max-width: 780px) {
  .client-project .row-3 img {
    max-height: 50px;
    max-width: 150px;
  }
}

/* gallery */
#galery {
  width: 100%;
  display: block;
  min-height: 100vh;
  padding: 30px 0 20px 0;
  background-color: var(--bgblack);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);
}

#galery .container {
  background-color: var(--white);
  border-radius: 5px;
  padding: 20px 20px 20px 20px;
  max-width: 1170px;
  margin: auto;
}

#galery h1 {
  color: var(--bgblack);
  font-weight: 700;
}

#galery img {
  max-width: 100%;
  vertical-align: middle;
}

#galery .row {
  display: flex;
  flex-wrap: wrap;
}

#galery .gallery-filter {
  padding: 0 15px;
  padding-top: 10px;
  padding-bottom: 5px;
  width: 100%;
  text-align: center;
  margin-bottom: 20px;
}

#galery .gallery-filter .filter-item {
  color: var(--bgblack);
  font-size: 18px;
  font-weight: 600;
  height: 20px;
  text-transform: uppercase;
  display: inline-block;
  margin: 0 10px;
  cursor: pointer;
  border-bottom: 2px solid transparent;
  line-height: 1.2;
  transition: all 0.3s ease;
}

#galery .gallery-filter .filter-item.active {
  color: #ff9800;
  border-color: #ff9800;
}

#galery .gallery-item {
  width: calc(100% / 3);
  padding: 15px;
}

#galery .gallery-item-inner img {
  width: 100%;
}

#galery .gallery-item.show {
  animation: fadeIn 0.5s ease;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

#galery .gallery-item.hide {
  display: none;
}

@media (max-width: 991px) {
  #galery .gallery-item {
    width: 50%;
  }
}
@media (max-width: 767px) {
  #galery .gallery-item {
    width: 100%;
  }
  #galery .gallery-filter .filter-item {
    margin-bottom: 10px;
  }
}

/* blogs */
#blogs {
  background-color: var(--bgblack);
}

#blogs .container {
  overflow-x: hidden;
  scroll-behavior: smooth;
}

#blogs .banner-blogs {
  position: relative;
  height: 17rem;
  overflow: hidden;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);
}

#blogs .banner-blogs img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

#blogs .banner-blogs .content-blogs {
  position: absolute;
  top: 70%;
  left: 2rem;
  transform: translateY(-50%);
}

#blogs .banner-blogs .content-blogs span {
  color: #fff;
  font-size: 1rem;
}

#blogs .banner-blogs .content-blogs a {
  text-decoration: none;
  font-size: 1.5rem;
  padding-top: 0.5rem;
  color: #fff;
}

#blogs .banner-blogs .content-blogs p {
  color: #f4f4f4;
}

#blogs .banner-blogs:hover img {
  transform: scale(1.2);
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background-position: center;
  background-size: cover;
  opacity: 0.6;
}

/* testimonial */
#testimonial_area {
  padding: 10% 0;
  background-color: var(--bgblack);
}

#testimonial_area .container {
  background-color: var(--black);
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

#testimonial_area h2 {
  font-weight: 600;
  font-size: 2rem;
  color: var(--white);
}

.box-area {
  padding: 30px;
  position: relative;
  display: block;
  background: #fff;
  color: #000;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  margin: 40px 0;
  border-radius: 5px;
}
.box-area h5 {
  font-size: 16px;
  font-weight: 700;
  color: #1abc9c;
  margin-top: 30px;
  margin-bottom: 5px;
  text-transform: uppercase;
  letter-spacing: 1px;
}
.box-area span {
  color: #262626;
  display: block;
  font-size: 13px;
  margin: 0 0 10px;
  font-weight: 400;
}
.box-area .content {
  color: #262626;
}
.box-area .img-area {
  width: 90px;
  height: 90px;
  position: absolute;
  top: -40px;
  left: 0;
  bottom: 0;
  margin: 0 auto;
  right: 0;
  z-index: 1;
  border: 5px solid #fff;
  border-radius: 50%;
  box-shadow: 0 5px 4px rgba(0, 0, 0, 0.5);
}
.box-area .img-area img {
  width: 100%;
  height: auto;
  border-radius: 50%;
}
.socials {
  margin-top: 30px;
}
.socials i {
  margin: 0 10px;
  color: #1abc9c;
  font-size: 18px;
}
#testimonial_area .owl-nav {
  position: absolute;
  top: 50%;
  width: 100%;
}
#testimonial_area .owl-prev,
#testimonial_area .owl-next {
  width: 40px;
  height: 40px;
  line-height: 40px;
  color: #1abc9c;
  border-radius: 50%;
  text-align: center;
  background: #fff;
  position: absolute;
}
#testimonial_area .owl-prev {
  left: -60px;
  top: -30px;
}
#testimonial_area .owl-next {
  right: -60px;
  top: -30px;
}
@media only screen and (max-width: 991px) {
  .owl-nav {
    display: none;
  }
}
@media only screen and (max-width: 767px) {
  .box-area {
    text-align: center;
  }
  .owl-nav {
    display: none;
  }
}

/* contact us */
#contact-us {
  background-color: var(--bgblack);
}

#contact-us .container {
  position: relative;
  width: 100%;
  padding: 3rem;
  /* overflow: hidden; */
  display: flex;
  align-items: center;
  justify-content: center;
}

.form {
  width: 100%;
  max-width: 820px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  overflow: hidden;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.contact-form {
  background-color: var(--black);
  position: relative;
}

.circle {
  border-radius: 50%;
  background: linear-gradient(135deg, transparent 20%, #149279);
  position: absolute;
}

.circle.one {
  width: 130px;
  height: 130px;
  top: 130px;
  right: -40px;
}

.circle.two {
  width: 80px;
  height: 80px;
  top: 10px;
  right: 30px;
}

.contact-form:before {
  content: "";
  position: absolute;
  width: 26px;
  height: 26px;
  background-color: #1abc9c;
  transform: rotate(45deg);
  top: 50px;
  left: -13px;
}

form {
  padding: 2.3rem 2.2rem;
  z-index: 10;
  overflow: hidden;
  position: relative;
}

.title {
  color: #fff;
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 1;
  margin-bottom: 0.7rem;
}

.input-container {
  position: relative;
  margin: 1rem 0;
}

.input {
  width: 100%;
  outline: none;
  border: 2px solid #fafafa;
  background: none;
  padding: 0.6rem 1.2rem;
  color: #fff;
  font-weight: 500;
  font-size: 0.95rem;
  letter-spacing: 0.5px;
  border-radius: 25px;
  transition: 0.3s;
}

textarea.input {
  padding: 0.8rem 1.2rem;
  min-height: 150px;
  border-radius: 22px;
  resize: none;
  overflow-y: auto;
}

.input-container label {
  position: absolute;
  top: 50%;
  left: 15px;
  transform: translateY(-50%);
  padding: 0 0.4rem;
  color: #fafafa;
  font-size: 0.9rem;
  font-weight: 400;
  pointer-events: none;
  z-index: 1000;
  transition: 0.5s;
}

.input-container.textarea label {
  top: 1rem;
  transform: translateY(0);
}

.btn-contact {
  padding: 0.6rem 1.3rem;
  background-color: #fff;
  border: 2px solid #fafafa;
  font-size: 0.95rem;
  color: #1abc9c;
  line-height: 1;
  border-radius: 25px;
  outline: none;
  cursor: pointer;
  transition: 0.3s;
  margin: 0;
}

.btn-contact:hover {
  background-color: transparent;
  color: #fff;
}

.input-container span {
  position: absolute;
  top: 0;
  left: 25px;
  transform: translateY(-50%);
  font-size: 0.8rem;
  padding: 0 0.4rem;
  color: transparent;
  pointer-events: none;
  z-index: 500;
}

.input-container span:before,
.input-container span:after {
  content: "";
  position: absolute;
  width: 10%;
  opacity: 0;
  transition: 0.3s;
  height: 5px;
  background-color: #1abc9c;
  top: 50%;
  transform: translateY(-50%);
}

.input-container span:before {
  left: 50%;
}

.input-container span:after {
  right: 50%;
}

.input-container.focus label {
  top: 0;
  transform: translateY(-50%);
  left: 25px;
  font-size: 0.8rem;
}

.input-container.focus span:before,
.input-container.focus span:after {
  width: 50%;
  opacity: 1;
}

.contact-info {
  padding: 2.3rem 2.2rem;
  position: relative;
}

.contact-info .title {
  color: #1abc9c;
}

.text {
  color: #333;
  margin: 1.5rem 0 2rem 0;
}

.information {
  display: flex;
  color: #555;
  margin: 0.7rem 0;
  align-items: center;
  font-size: 0.95rem;
}

.icon {
  width: 28px;
  margin-right: 0.7rem;
}

.social-media {
  padding: 2rem 0 0 0;
}

.social-media p {
  color: #333;
}

.social-icons {
  display: flex;
  margin-top: 0.5rem;
}

.social-icons a {
  width: 35px;
  height: 35px;
  border-radius: 5px;
  background: linear-gradient(45deg, #1abc9c, #149279);
  color: #fff;
  text-align: center;
  line-height: 35px;
  margin-right: 0.5rem;
  transition: 0.3s;
}

.social-icons a:hover {
  transform: scale(1.05);
}

.contact-info:before {
  content: "";
  position: absolute;
  width: 110px;
  height: 100px;
  border: 22px solid #1abc9c;
  border-radius: 50%;
  bottom: -77px;
  right: 50px;
  opacity: 0.3;
}

.big-circle {
  position: absolute;
  width: 500px;
  height: 500px;
  border-radius: 50%;
  background: linear-gradient(to bottom, #1cd4af, #f8b400);
  bottom: 50%;
  right: 50%;
  transform: translate(-40%, 38%);
}

.big-circle:after {
  content: "";
  position: absolute;
  width: 360px;
  height: 360px;
  background-color: var(--bgblack);
  border-radius: 50%;
  top: calc(50% - 180px);
  left: calc(50% - 180px);
}

.square {
  position: absolute;
  height: 400px;
  top: 20%;
  left: 50%;
  transform: translate(181%, 11%);
  opacity: 0.2;
}

.map-1 {
  background-color: var(--bgblack);
}

.map {
  border: 1px solid var(--white);
  border-radius: 10px;
  height: 200px;
  width: 800px;
}

@media (max-width: 950px) {
  .map {
    width: 100%;
  }
}

@media (max-width: 850px) {
  .form {
    grid-template-columns: 1fr;
  }

  .contact-info:before {
    bottom: initial;
    top: -75px;
    right: 65px;
    transform: scale(0.95);
  }

  .contact-form:before {
    top: -13px;
    left: initial;
    right: 70px;
  }

  .square {
    transform: translate(140%, 43%);
    height: 200px;
  }

  .big-circle {
    bottom: 75%;
    transform: scale(0.9) translate(-40%, 30%);
    right: 50%;
  }

  .text {
    margin: 1rem 0 1.5rem 0;
  }

  .social-media {
    padding: 1.5rem 0 0 0;
  }
}

@media (max-width: 480px) {
  .container {
    padding: 1.5rem;
  }

  .contact-info:before {
    display: none;
  }

  .square,
  .big-circle {
    display: none;
  }

  form,
  .contact-info {
    padding: 1.7rem 1.6rem;
  }

  .text,
  .information,
  .social-media p {
    font-size: 0.8rem;
  }

  .title {
    font-size: 1.15rem;
  }

  .social-icons a {
    width: 30px;
    height: 30px;
    line-height: 30px;
  }

  .icon {
    width: 23px;
  }

  .input {
    padding: 0.45rem 1.2rem;
  }

  .btn {
    padding: 0.45rem 1.2rem;
  }
}

/* footer */

footer.nb-footer {
  background: var(--black);
  font-weight: 600;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.7);
}
footer.nb-footer .about {
  margin: 0 auto;
  margin-top: 40px;
  max-width: 1170px;
  text-align: center;
}
footer.nb-footer .about p {
  font-size: 13px;
  color: var(--white);
  margin-top: 30px;
}
footer.nb-footer .about .social-media {
  margin-top: 15px;
}
footer.nb-footer .about .social-media ul li a {
  display: inline-block;
  width: 45px;
  height: 45px;
  line-height: 45px;
  border-radius: 50%;
  font-size: 16px;
  color: #b78c33;
  border: 1px solid rgba(255, 255, 255, 0.3);
}
footer.nb-footer .about .social-media ul li a:hover {
  background: #b78c33;
  color: #fff;
  border-color: #b78c33;
}
footer.nb-footer .footer-info-single {
  margin-top: 30px;
}
footer.nb-footer .footer-info-single .title {
  color: #149279;
  text-transform: uppercase;
  font-size: 16px;
  border-left: 4px solid #b78c33;
  padding-left: 5px;
  font-weight: 600;
}
footer.nb-footer .footer-info-single ul li a {
  display: block;
  color: var(--white);
  padding: 2px 0;
  text-decoration: none;
}
footer.nb-footer .footer-info-single ul li a:hover {
  color: #149279;
}
footer.nb-footer .footer-info-single p {
  font-size: 13px;
  line-height: 20px;
  color: var(--white);
  text-align: justify;
}
footer.nb-footer .copyright {
  margin-top: 15px;
  background: var(--black);
}
footer.nb-footer .copyright p {
  color: #149279;
}
